
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de


Name:			ladspa-clipper
Summary:		Clipper LADSPA plugin - Hard clipping, without any aliasing protection
Version:		1
Release:		1699.2.pm.4
License: GPL-2.0
Source0:		clipper.tar.gz
Patch0:			ladspa-clipper-Makefile.diff
URL:			http://quitte.de/dsp/
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
Hard clipping, without any aliasing protection. Amplify the
incoming signal by 30 dB and more to get good, harsh distortion.

Author: Tim Goetze <tim@quitte.de>

%prep
%autosetup -p0 -n clipper

%build
make 'CFLAGS=%optflags -fPIC -DPIC'

%install
install -dm 755 %buildroot%_libdir/ladspa
install -m 644 -c *.so \
	%buildroot%_libdir/ladspa

%files
%_libdir/ladspa

%changelog
